Skip to main content
PATCH
/
v1
/
abandoned_checkouts
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/abandoned_checkouts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "abandoned_checkout": {
    "notifications_enabled": true
  }
}
'
{
  "id": "2b5fb65b-accb-428b-871e-7c664d99761e",
  "object": "abandoned_checkout",
  "notifications_enabled": true,
  "notification_status": "not_scheduled",
  "notifications_scheduled_at": [],
  "portal_url": "http://app.example.com/portal_redirect/abandoned_checkouts/2b5fb65b-accb-428b-871e-7c664d99761e",
  "recovery_status": "abandoned",
  "recovered_at": null,
  "checkout": "0731d6b6-d0f7-4fb6-966d-d3dd6c4e258a",
  "customer": "f235f852-72cb-4a88-995c-2c71d9b86883",
  "promotion": null,
  "recovered_checkout": null,
  "created_at": 1770232732,
  "updated_at": 1770234832
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
abandoned_checkout
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

notifications_enabled
boolean

Whether or not notifications should be sent to the customer for this abandoned checkout.

notification_status
string

The current notification status for this abandonded checkout, which can be one of not_scheduled, scheduled, or sent.

portal_url
string | null

A URL that will redirect to this abandoned checkout's correct portal page (hosted or external).

checkout

Expandable – The associated checkout ID.

customer

Expandable – The associated customer ID.

promotion

The promotion that was auto-generated for this abandoned checkout.

Expandable – The associated promotion ID.

recovered_at
integer | null

If the abandoned checkout has been recovered, the time it was recovered at.

recovered_checkout

The checkout that was recovered from this abandoned checkout.

Expandable – The associated checkout ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.